@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

:root {
    --light-color: #f5f0e1;
    --dark-color: #1e3d59;
    --orange-color: #ff6e40;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    background-color: var(--light-color);
    font-family: 'Montserrat', sans-serif;
    color: var(--dark-color);
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

#canvas {
    background-color: white;
    cursor: pointer;
    margin-bottom: 1rem;
    box-shadow: 0px 0px 2px #BBB;
}

button {
    font-size: 1.5rem;
    padding: .5rem 1rem;
    font-family: 'Montserrat', sans-serif;
    cursor: pointer;
    border: 3px solid var(--orange-color);
    background-color: var(--orange-color);
    /* border-radius: .5rem; */
    color: white;
    display: inline-block;
    text-transform: uppercase;
    font-weight: 700;
    letter-spacing: 4px;
}

button:hover {
    transition: .3s;
    background-color: var(--dark-color);
    border: 3px solid var(--dark-color);
}

section {
    margin-top: 1rem;
}

button#random {
    background-color: var(--light-color);
    color: var(--dark-color);
    border: 3px solid var(--dark-color);
}

button#random:hover {
    background-color: white;
}


#panel {
    display: grid;
    width: 92%;
    grid-template-columns: 1fr auto 1fr;
    grid-template-rows: 1fr;
    justify-content: center;
    align-items: center;
}

#logo h1 {
    font-size: 1.5rem;
    color: var(--dark-color);
}

#logo img {
    width: 30px;
    float: left;
    margin-right: .6rem;
}

#github {
    text-align: right;
}

a {
    text-decoration: none;
    color: var(--dark-color);
    font-weight: 700;
}

a:hover {
    color: var(--orange-color);
}

